# Interface OptionSelectConfig

interface OptionSelectConfig {
delay ?: number;
maxOptions ?: number;
noCancel ?: boolean;
options : OptionSelectItem [];
supportHover ?: boolean;
xOffset ?: number;
yOffset ?: number;
}

- Defined in src/ui/abstact-option-select-ui-handler.ts:10

#####
Index

### Properties

delay?
maxOptions?
noCancel?
options
supportHover?
xOffset?
yOffset?

## Properties

### `Optional` delay

delay?: number

- Defined in src/ui/abstact-option-select-ui-handler.ts:15

### `Optional` maxOptions

maxOptions?: number

- Defined in src/ui/abstact-option-select-ui-handler.ts:14

### `Optional` noCancel

noCancel?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:16

### options

options: OptionSelectItem []

- Defined in src/ui/abstact-option-select-ui-handler.ts:13

### `Optional` supportHover

supportHover?: boolean

- Defined in src/ui/abstact-option-select-ui-handler.ts:17

### `Optional` xOffset

xOffset?: number

- Defined in src/ui/abstact-option-select-ui-handler.ts:11

### `Optional` yOffset

yOffset?: number

- Defined in src/ui/abstact-option-select-ui-handler.ts:12